%define name fenris
%define version 0.07
%define release 2mdk

Name: %{name}
Summary: Forensics and debugging tools
Version: %{version}
Release: %{release}
Group:Development/Other
Source: %name-%version.tar.bz2 
Url: http://razor.bindview.com/tools/fenris/ 
BuildRoot: %{_tmppath}/%{name}-buildroot 
BuildRequires: libbinutils2-devel
BuildRequires: readline-devel
BuildRequires: libtermcap2-devel
Requires: perl
Requires: screen
License: GPL
ExclusiveArch: i586
%description
Fenris is a multipurpose tracer, debugger, and code analysis tool 
that detects and documents high-level language constructions,
can recover symbols, graph program execution flow,
detect internal functions, recover symbol tables, and deal with
anti-debugging protection.
It features a command-line interface as well as a SoftICE-alike GUI
and Web frontend.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
./build strip

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
cp doc/man/* $RPM_BUILD_ROOT/%{_mandir}/man1/
cp aegir dress fenris-bug fenris fprints getfprints nc-aegir ragnarok ragsplit spliter.pl $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc doc/*txt doc/TODO doc/README doc/ChangeLog 
%{_bindir}/aegir
%{_bindir}/dress						   
%{_bindir}/fenris-bug					   
%{_bindir}/fenris
%{_bindir}/fprints						   
%{_bindir}/getfprints					   
%{_bindir}/nc-aegir					   
%{_bindir}/ragnarok					   
%{_bindir}/ragsplit					  
%{_bindir}/spliter.pl

%{_mandir}/man1/*

%changelog
* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.07-2mdk
- rebuild

* Sun Dec 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.07-1mdk
- from Michael Scherer <scherer.michael@free.fr> :
- Initial spec
